> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/resources/plans.md).

# PlansResource

You can use the plans resource to access plans in the Firmhouse API.

## Methods

### fetchAll()

```ts
fetchAll(params?): Promise<PaginatedResponse<FirmhousePlan>>
```

Retrieve Plans

#### Parameters

• **params?**

Parameters to filter products by

* **after?**: `null` | `string`

  Return the elements in the list that come after the specified cursor.
* **before?**: `null` | `string`

  Return the elements in the list that come before the specified cursor
* **first?**: `null` | `number`

  Return the first n elements from the list
* **last?**: `null` | `number`

  Return the last n elements from the list.

#### Returns

`Promise`<[`PaginatedResponse`](/sdks/firmhouse-sdk/reference/typealiases/paginated-response.md)<[`FirmhousePlan`](/sdks/firmhouse-sdk/reference/interfaces/firmhouse-plan.md)>>

List of products with pagination info


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/resources/plans.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
